Subject: Re: bug#4868: 23.1; "No fileset is available here"

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Nov 2009 21:02:23 -0500

>> I modified a file in a git-managed directory.
>> Then I typed `C-x v ='.
>> I got an error: "No fileset is available here".

> Is this file not registered with Git?

> If yes, then that's the error it would get.
> emacs-22 used to have a nicer looking error in that case: "File is not
> under version control".   Not sure why that check got removed, there's
> nothing in the ChangeLog to explain it :-(

Would the patch below make sense?  After all, at that point we've
already checked we're visiting a file, there's no backend and we're not
in vc-dir-mode, so a message like "No fileset is available here" is
probably never right.

        Stefan

=== modified file 'lisp/vc.el'
--- lisp/vc.el	2009-10-24 18:33:25 +0000
+++ lisp/vc.el	2009-11-05 02:00:24 +0000
@@ -922,7 +922,7 @@
 		nil)
 	(list (vc-backend-for-registration (buffer-file-name))
 	      (list buffer-file-name))))
-     (t (error "No fileset is available here")))))
+     (t (error "File is not under version control")))))
 
 (defun vc-ensure-vc-buffer ()
   "Make sure that the current buffer visits a version-controlled file."